Update own notification preferences
curl --request PATCH \
--url https://app.ontime.hosai.app/api/me/notification-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"leaveDecisions": true,
"regularizationDecisions": true,
"overtimeDecisions": true,
"swapDecisions": true,
"messages": true,
"punchReminders": true,
"payslips": true,
"form16": true
}
'import requests
url = "https://app.ontime.hosai.app/api/me/notification-preferences"
payload = {
"leaveDecisions": True,
"regularizationDecisions": True,
"overtimeDecisions": True,
"swapDecisions": True,
"messages": True,
"punchReminders": True,
"payslips": True,
"form16": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
leaveDecisions: true,
regularizationDecisions: true,
overtimeDecisions: true,
swapDecisions: true,
messages: true,
punchReminders: true,
payslips: true,
form16: true
})
};
fetch('https://app.ontime.hosai.app/api/me/notification-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"leaveDecisions": true,
"regularizationDecisions": true,
"overtimeDecisions": true,
"swapDecisions": true,
"messages": true,
"punchReminders": true,
"payslips": true,
"form16": true
}Me
Update own notification preferences
Update own notification preferences
PATCH
/
api
/
me
/
notification-preferences
Update own notification preferences
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Body
application/json
Current employee's own notification preferencesCurrent employee's tax/payroll documents (vault) with
⌘I